Package org.apache.solr.client.solrj.util

## Interface AsyncListener<T>

Type Parameters:
  `T` - The result type returned by the `onSuccess` method

    @Deprecated
    public interface AsyncListener<T>

Deprecated.
Use the async variants that return CompletableFuture.
Listener for async requests

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`void` `onFailure​(Throwable throwable)` Deprecated. Callback method invoked when the request completes in failure
`default void` `onStart()` Deprecated. Callback method invoked before processing the request
`void` `onSuccess​(T t)` Deprecated. Callback method invoked when the request completes successfully

### Method Detail

#### onStart

    default void onStart()

Deprecated.
Callback method invoked before processing the request

#### onSuccess

    void onSuccess​(T t)

Deprecated.
Callback method invoked when the request completes successfully

#### onFailure

    void onFailure​(Throwable throwable)

Deprecated.
Callback method invoked when the request completes in failure